net.i2p.router.transport.ntcp

## Class NTCPAddress

- java.lang.Object
- - net.i2p.router.transport.ntcp.NTCPAddress

-     public class NTCPAddress
      extends Object

  Wrap up an address

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_COST`
    `static String` | `PROP_HOST` Host name used in RouterAddress definitions
    `static String` | `PROP_PORT` Port number used in RouterAddress definitions

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NTCPAddress()`
    `NTCPAddress(RouterAddress addr)`
    `NTCPAddress(String host, int port)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object val)`
    `boolean` | `equals(RouterAddress addr)`
    `String` | `getHost()`
    `int` | `getPort()`
    `int` | `hashCode()`
    `boolean` | `isPubliclyRoutable()`
    `static boolean` | `isPubliclyRoutable(String host)`
    `void` | `setHost(String host)`
    `void` | `setPort(int port)`
    `RouterAddress` | `toRouterAddress()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROP_PORT

          public static final String PROP_PORT

      Port number used in RouterAddress definitions
      See Also:
        Constant Field Values

    - #### PROP_HOST

          public static final String PROP_HOST

      Host name used in RouterAddress definitions
      See Also:
        Constant Field Values

    - #### DEFAULT_COST

          public static final int DEFAULT_COST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NTCPAddress

          public NTCPAddress(String host,
                     int port)

    - #### NTCPAddress

          public NTCPAddress()

    - #### NTCPAddress

          public NTCPAddress(RouterAddress addr)

  - ### Method Detail

    - #### toRouterAddress

          public RouterAddress toRouterAddress()

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost(String host)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### isPubliclyRoutable

          public boolean isPubliclyRoutable()

    - #### isPubliclyRoutable

          public static boolean isPubliclyRoutable(String host)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object val)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(RouterAddress addr)